XOBM

WEB建站知识

您的位置: XOBM网   >   Linux列表   >   linux下为php5.3安装Imagick扩展
pecl install imagick安装提示php版本低了,要5.4以上版本,只能手动安装

imagick是一个PHP的扩展,它调用ImageMagick提供的API来进行图片的操作
ImageMagick是一套软件系列,主要用于图片的创建、编辑以及转换等,详细的解释见ImageMagick的官方网站http://www.imagemagick.org/,ImageMagick与GD的性能要高很多,如果是在处理大量的图片时更加能体现ImageMagick的性能。

一、安装ImageMagick
下载ImageMagick http://www.imagemagick.org/

wget ftp://ftp.u-aizu.ac.jp/pub/graphics/image/ImageMagick/imagemagick.org/ImageMagick-6.8.7-0.
tar.gz
tar xvfz ImageMagick-6.8.7-0.tar.gz
./configure -prefix=/usr/local/imagemagick
make && make install



注意:默认安装所有模块

二、安装Imagick

wget http://pecl.php.net/get/imagick-3.1.2.tgz
tar xvfz imagick-3.1.2.tgz
cd imagick-3.1.2
phpize
#注:phpize是一个shell脚本,主要是用来进行编译环境的准备,执行以后会生成一些新的文件,为配置、编译及安装作好准备
使#用./configure --help 查看配置选项
./configure --prefix=/usr/local/imagick --with-php-config=/usr/bin/php-config  --with-imagick=/usr/local/imagemagick
make && make install

#在phpphp配置文件中添加:

extension=imagick.so

重启apache或php-fpm就可以了